## eksctl 0.154.0

=== debian/changelog ===
eksctl (0.154.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:02:19 +0200

eksctl (0.154.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.154.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Aug 2023 14:34:39 +0200

eksctl (0.153.0-0kali1) kali-dev; urgency=medium

  * Update d/watch to ignore rc releases
  * New upstream version 0.153.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Aug 2023 17:20:12 +0200

eksctl (0.152.0~rc0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.152.0~rc0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Aug 2023 16:38:51 +0200

eksctl (0.149.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.149.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Jul 2023 14:54:35 +0200

eksctl (0.148.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.148.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 10 Jul 2023 17:39:05 +0200

eksctl (0.147.0~rc0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.147.0~rc0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Jun 2023 15:34:31 +0200

eksctl (0.143.0~rc0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.143.0~rc0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 26 May 2023 09:31:18 +0200

eksctl (0.138.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.138.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 28 Apr 2023 11:56:13 +0200

eksctl (0.138.0~rc0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.138.0~rc0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Apr 2023 18:03:45 +0200

eksctl (0.134.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Mar 2023 17:44:21 +0100
