=== debian/control ===
Source: eksctl
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               dh-golang,
		       bash-completion,
		       ca-certificates,
               golang-any,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-aws-aws-sdk-go-v2-dev,
               golang-github-aws-smithy-go-dev,
               golang-github-blang-semver-dev,
               golang-github-cloudflare-cfssl-dev,
               golang-github-evanphx-json-patch-dev,
               golang-github-fatih-color-dev,
               golang-github-gobwas-glob-dev,
               golang-github-gofrs-flock-dev,
               golang-github-google-uuid-dev,
               golang-github-hashicorp-go-version-dev,
               golang-github-kballard-go-shellquote-dev,
               golang-github-masterminds-semver-dev,
               golang-github-onsi-ginkgo-dev,
               golang-github-otiai10-copy-dev,
               golang-github-pelletier-go-toml-dev,
               golang-github-pkg-errors-dev,
               golang-github-renstrom-dedent-dev,
               golang-github-spf13-afero-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-tidwall-gjson-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sync-dev,
               golang-gomega-dev,
               golang-k8s-sigs-yaml-dev
Standards-Version: 4.6.2
Homepage: https://github.com/weaveworks/eksctl
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/weaveworks/eksctl

Package: eksctl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: official CLI for Amazon EKS (program)
 eksctl is a simple CLI tool for creating clusters on EKS - Amazon's new
 managed Kubernetes service for EC2. It is written in Go, and uses
 CloudFormation.
 .
 You can create a cluster in minutes with just one command – **eksctl
 create cluster**!
