## eksctl 0.210.0

=== debian/changelog ===
eksctl (0.210.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.210.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Jun 2025 11:46:20 +0200

eksctl (0.209.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.209.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 06 Jun 2025 14:35:14 +0200

eksctl (0.208.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.208.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 May 2025 18:04:31 +0200

eksctl (0.207.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.207.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 03 Apr 2025 17:25:14 +0200

eksctl (0.206.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.206.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Mar 2025 13:43:17 +0100

eksctl (0.205.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.205.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 Mar 2025 09:24:24 +0100

eksctl (0.204.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.204.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Feb 2025 18:15:51 +0100

eksctl (0.203.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.203.0
  * Bump Standards-Version to 4.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 03 Feb 2025 17:02:53 +0100

eksctl (0.202.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.202.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Jan 2025 11:33:00 +0100

eksctl (0.201.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.201.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Jan 2025 11:59:50 +0100

eksctl (0.199.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.199.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Dec 2024 11:00:28 +0100

eksctl (0.198.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.198.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 Dec 2024 14:35:19 +0100

eksctl (0.197.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Disable armel and armhf builds

  [ Sophie Brun ]
  * New upstream version 0.197.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 04 Dec 2024 10:32:56 +0100

eksctl (0.194.0-0kali2) kali-dev; urgency=medium

  * Restrict to architectures: amd64, arm64, i386

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 12 Nov 2024 10:36:04 +0700

eksctl (0.194.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.194.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Oct 2024 10:00:06 +0200

eksctl (0.193.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.193.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Oct 2024 16:51:12 +0200

eksctl (0.192.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.192.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Oct 2024 15:18:31 +0200

eksctl (0.191.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.191.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Sep 2024 11:27:22 +0200

eksctl (0.189.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.189.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Aug 2024 16:45:21 +0200

eksctl (0.188.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.188.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 Aug 2024 15:16:27 +0200

eksctl (0.184.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.184.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 05 Jul 2024 11:08:43 +0200

eksctl (0.183.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.183.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 Jun 2024 11:37:33 +0200

eksctl (0.181.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.181.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Jun 2024 15:21:27 +0200

eksctl (0.179.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.179.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 May 2024 17:04:14 +0200

eksctl (0.177.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.177.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 22 May 2024 16:09:57 +0200

eksctl (0.174.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.174.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Mar 2024 11:34:13 +0100

eksctl (0.173.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.173.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Mar 2024 17:25:10 +0100

eksctl (0.170.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.170.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 07 Feb 2024 09:33:44 +0100

eksctl (0.169.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.169.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 26 Jan 2024 11:18:20 +0100

eksctl (0.167.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.167.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 08 Jan 2024 15:35:16 +0100

eksctl (0.165.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.165.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 Dec 2023 11:37:14 +0100

eksctl (0.164.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.164.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 02 Nov 2023 16:08:16 +0100

eksctl (0.163.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.163.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 25 Oct 2023 11:07:00 +0200

eksctl (0.162.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.162.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 16 Oct 2023 17:12:32 +0200

eksctl (0.161.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.161.0
  * Refresh patches


