=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: eksctl
 Section: golang
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                dh-golang,
-		       bash-completion,
-		       ca-certificates,
+	       bash-completion,
+	       ca-certificates,
                golang-any,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-aws-aws-sdk-go-v2-dev,
@@ -37,13 +37,15 @@
                golang-golang-x-sync-dev,
                golang-gomega-dev,
                golang-k8s-sigs-yaml-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
+Vcs-Browser: https://gitlab.com/kalilinux/packages/eksctl
+Vcs-Git: https://gitlab.com/kalilinux/packages/eksctl.git
 Homepage: https://github.com/weaveworks/eksctl
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/weaveworks/eksctl
 
 Package: eksctl
-Architecture: any
+Architecture: amd64 arm64 i386
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
