## eksctl 0.212.0

=== debian/changelog ===
eksctl (0.212.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.212.0 version
  * Update the quilt patch
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 03 Aug 2025 17:25:13 +0200

eksctl (0.201.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.201.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 15:45:34 +0200

eksctl (0.194.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.194.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 19 Nov 2024 07:17:57 +0200

eksctl (0.192.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.192.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 17 Oct 2024 10:52:32 +0200

eksctl (0.188.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.188.0 version
  * Update the quilt patch
  * Bump the golang-go version required to build
  * Bump the Standards-Version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 17 Aug 2024 02:27:07 +0200

eksctl (0.176.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.176.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 07 May 2024 01:22:46 +0200

eksctl (0.171.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.171.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 12 Feb 2024 23:37:16 +0100

eksctl (0.164.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.164.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 30 Oct 2023 12:02:46 +0100

eksctl (0.161.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.161.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 07 Oct 2023 20:31:12 +0100

eksctl (0.151.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.151.0 version
  * Update the quilt patch
  * Remove golang-go as package dependancy

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 13:34:43 +0100

eksctl (0.150.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.150.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 22 Jul 2023 21:09:52 +0100

eksctl (0.141.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.141.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 24 May 2023 00:49:21 +0100

eksctl (0.140.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.140.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 08 May 2023 23:29:11 +0100

eksctl (0.134.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.134.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 17:16:27 +0100

eksctl (0.122.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.122.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 08 Dec 2022 22:57:39 +0100

eksctl (0.121.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.121.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 28 Nov 2022 22:10:52 +0100

eksctl (0.120.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.120.0 version
  * Update the quilt patch
  * The GOPATH is now set to use the _build folder

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 14:23:08 +0100

eksctl (0.112.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.112.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 25 Sep 2022 20:02:41 +0100

eksctl (0.108.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.108.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 17:11:56 +0100

eksctl (0.104.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.104.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 07 Jul 2022 19:44:41 +0100

eksctl (0.100.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.100.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 03 Jun 2022 20:35:14 +0100

eksctl (0.99.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.99.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 29 May 2022 22:30:11 +0100

eksctl (0.95.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.95.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 06 May 2022 00:16:33 +0100

eksctl (0.89.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.89.0 version
  * Add docs
  * Add one of eksctl logos

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 30 Mar 2022 00:15:37 +0100

eksctl (0.85.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.85.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 27 Feb 2022 16:42:27 +0100

eksctl (0.83.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.83.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 13 Feb 2022 15:37:59 +0100

eksctl (0.80.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.80.0 version
  * Remove dh-virtualenv as dependancy to build eksctl

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 23 Jan 2022 16:53:28 +0100

eksctl (0.77.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.77.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 09 Jan 2022 01:49:52 +0100

eksctl (0.76.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.76.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 06 Dec 2021 21:30:46 +0100

eksctl (0.74.0-1kaisen) kaisen-packages; urgency=medium


