=== debian/control ===
Source: eksctl
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13),
	       golang-go (>= 1.24),
	       dh-golang,
	       mkdocs,
Standards-Version: 4.7.2
Homepage: https://eksctl.io/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/eksctl
Vcs-Git: https://gitlab.com/kaisenlinux/packages/eksctl.git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/eksctl-io/eksctl

Package: eksctl
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
	 ${misc:Depends},
Description: The official CLI for Amazon EKS
