=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/_build

override_dh_auto_build:
	make binary

override_dh_auto_test:

override_dh_auto_install:
	install -p -m 0644 $(CURDIR)/debian/eksctl.png $(CURDIR)/debian/eksctl/usr/share/pixmaps
	install -p -m 0755 $(CURDIR)/eksctl $(CURDIR)/debian/eksctl/usr/bin
	$(CURDIR)/debian/eksctl/usr/bin/eksctl completion bash > $(CURDIR)/debian/eksctl/usr/share/bash-completion/completions/eksctl
	$(CURDIR)/debian/eksctl/usr/bin/eksctl completion zsh > $(CURDIR)/debian/eksctl/usr/share/zsh/vendor-completions/_eksctl

override_dh_dwz:
