## eksctl 0.213.0

=== debian/changelog ===
eksctl (0.213.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * Update my email
  * New upstream version 0.213.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Tue, 26 Aug 2025 09:38:48 +0200

eksctl (0.212.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.212.0

 -- Sophie Brun <sophie@kali.org>  Fri, 08 Aug 2025 12:24:05 +0200
