## eksctl 0.215.0

=== debian/changelog ===
eksctl (0.215.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop armel-related variable from CI (no more armel runner)

  [ Sophie Brun ]
  * New upstream version 0.215.0

 -- Sophie Brun <sophie@kali.org>  Fri, 03 Oct 2025 16:24:24 +0200
