=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang --with=bash-completion

override_dh_auto_configure:	
	#cp -av debian/vendor _build/src/github.com/weaveworks/eksctl
	go get

override_dh_auto_build:
	CGO_ENABLED=0 go build -ldflags "-s -w" ./cmd/eksctl
#	make build

override_dh_auto_install:
	dh_auto_install -- --no-source

	# generate completion files
	$(CURDIR)/eksctl completion bash >$(CURDIR)/debian/eksctl.bash
	$(CURDIR)/eksctl completion zsh >$(CURDIR)/debian/_eksctl

override_dh_auto_test:

override_dh_golang:
