=== debian/tests/control ===
Test-Command: eksctl -h
Restrictions: superficial
