## eksctl 0.216.0

=== debian/changelog ===
eksctl (0.216.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.216.0

 -- Sophie Brun <sophie@kali.org>  Wed, 05 Nov 2025 17:38:25 +0100
