## eksctl 0.217.0

=== debian/changelog ===
eksctl (0.217.0-0parrot1) echo; urgency=medium

 * Sync with Kali packaging.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 23 Nov 2025 23:24:47 +0100

eksctl (0.217.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.217.0

 -- Sophie Brun <sophie@kali.org>  Mon, 17 Nov 2025 14:59:39 +0100
