=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: eksctl
 Section: golang
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@kali.org>
+Maintainer: Parrot Dev Team <team@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                dh-golang,
@@ -38,8 +38,6 @@
                golang-gomega-dev,
                golang-k8s-sigs-yaml-dev
 Standards-Version: 4.7.0
-Vcs-Browser: https://gitlab.com/kalilinux/packages/eksctl
-Vcs-Git: https://gitlab.com/kalilinux/packages/eksctl.git
 Homepage: https://github.com/weaveworks/eksctl
 XS-Go-Import-Path: github.com/weaveworks/eksctl
