## eksctl 0.220.0

=== debian/changelog ===
eksctl (0.220.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.220.0

 -- Sophie Brun <sophie@kali.org>  Tue, 02 Dec 2025 15:18:54 +0100
