## eksctl 0.221.0

=== debian/changelog ===
eksctl (0.221.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.221.0

 -- Sophie Brun <sophie@kali.org>  Tue, 06 Jan 2026 11:55:37 +0100
