## eksctl 0.222.0

=== debian/changelog ===
eksctl (0.222.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.222.0

 -- Sophie Brun <sophie@kali.org>  Mon, 09 Feb 2026 16:18:03 +0100
