## eksctl 0.223.0

=== debian/changelog ===
eksctl (0.223.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.223.0
  * Bump Standards-Version to 4.7.3
  * Update debian/watch to Version 5

 -- Sophie Brun <sophie@kali.org>  Tue, 17 Feb 2026 16:51:38 +0100
